<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css" integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">
  <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
    <div class="container-fluid">
      <a class="navbar-brand" routerLink="/">Mock</a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
  
      <div class="collapse navbar-collapse" id="navbarColor01">
        <ul *ngIf = "currentUser" class="navbar-nav me-auto">
          <li class="nav-item">
            <a class="nav-link active" routerLink="/users">Home<span class="visually-hidden">(current)</span></a>
          </li>  
        </ul>
        
        <ul *ngIf="!currentUser" class="navbar-nav ml-auto">
          <li class="nav-item">
            <a routerLink="/register" class="nav-link">Register</a>
          </li>
          <li class="nav-item">
            <a routerLink="/login" class="nav-link">Login</a>
          </li>
        </ul>

        <ul class="navbar-nav ml-auto">
            <li  *ngIf = "currentUser" class="nav-item"><a routerLink="/users" class="nav-link">{{ userInfos.name }}</a></li>
            <li  *ngIf = "currentUser" class="nav-item "><button  (click)="logout()" class="nav-link btn-logout">Logout</button></li>
        </ul>
       
      </div>
    </div>
  </nav>